e712ab45e4d3caff079fe20d8febf8d0e3e5cca2
[releng/global-jjb.git] / .jjb-test / expected-xml / gerrit-rtd-rtd-verify-master
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <jenkins.model.BuildDiscarderProperty>
13       <strategy class="hudson.tasks.LogRotator">
14         <daysToKeep>7</daysToKeep>
15         <numToKeep>-1</numToKeep>
16         <artifactDaysToKeep>-1</artifactDaysToKeep>
17         <artifactNumToKeep>0</artifactNumToKeep>
18       </strategy>
19     </jenkins.model.BuildDiscarderProperty>
20     <hudson.model.ParametersDefinitionProperty>
21       <parameterDefinitions>
22         <hudson.model.StringParameterDefinition>
23           <name>PROJECT</name>
24           <description>Parameter to identify a Gerrit project. This is typically the
25 project repo path as exists in Gerrit.
26 For example: ofextensions/circuitsw
27 </description>
28           <defaultValue>releng/ciman</defaultValue>
29         </hudson.model.StringParameterDefinition>
30         <hudson.model.StringParameterDefinition>
31           <name>STREAM</name>
32           <description>Stream is often set to the same name as 'branch' but can
33 sometimes be used as a name representing a project's release code
34 name.
35 </description>
36           <defaultValue>master</defaultValue>
37         </hudson.model.StringParameterDefinition>
38         <hudson.model.StringParameterDefinition>
39           <name>GERRIT_PROJECT</name>
40           <description>Parameter to identify Gerrit project. This is typically the
41 project repo path as exists in Gerrit.
42 For example: ofextensions/circuitsw
43
44 Note that Gerrit will override this parameter automatically if a
45 job is triggered by Gerrit.
46 </description>
47           <defaultValue>releng/ciman</defaultValue>
48         </hudson.model.StringParameterDefinition>
49         <hudson.model.StringParameterDefinition>
50           <name>GERRIT_BRANCH</name>
51           <description>Parameter to identify a Gerrit branch.
52
53 Note that Gerrit will override this parameter automatically if a
54 job is triggered by Gerrit.
55 </description>
56           <defaultValue>master</defaultValue>
57         </hudson.model.StringParameterDefinition>
58         <hudson.model.StringParameterDefinition>
59           <name>GERRIT_REFSPEC</name>
60           <description>Parameter to identify a refspec when pulling from Gerrit.
61
62 Note that Gerrit will override this parameter automatically if a
63 job is triggered by Gerrit.
64 </description>
65           <defaultValue>refs/heads/master</defaultValue>
66         </hudson.model.StringParameterDefinition>
67         <hudson.model.StringParameterDefinition>
68           <name>LFTOOLS_VERSION</name>
69           <description>Version of lftools to install. Can be a specific version like
70 '0.6.0' or a PEP-440 definition.
71 https://www.python.org/dev/peps/pep-0440/
72 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
73 </description>
74           <defaultValue>&lt;1.0.0</defaultValue>
75         </hudson.model.StringParameterDefinition>
76       </parameterDefinitions>
77     </hudson.model.ParametersDefinitionProperty>
78   </properties>
79   <scm class="hudson.plugins.git.GitSCM">
80     <configVersion>2</configVersion>
81     <userRemoteConfigs>
82       <hudson.plugins.git.UserRemoteConfig>
83         <name>origin</name>
84         <refspec/>
85         <url>$GIT_URL/$PROJECT</url>
86         <credentialsId>test-credential</credentialsId>
87       </hudson.plugins.git.UserRemoteConfig>
88     </userRemoteConfigs>
89     <branches>
90       <hudson.plugins.git.BranchSpec>
91         <name>refs/heads/$GERRIT_BRANCH</name>
92       </hudson.plugins.git.BranchSpec>
93     </branches>
94     <excludedUsers/>
95     <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
96     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
97     <authorOrCommitter>false</authorOrCommitter>
98     <wipeOutWorkspace>true</wipeOutWorkspace>
99     <pruneBranches>false</pruneBranches>
100     <remotePoll>false</remotePoll>
101     <gitTool>Default</gitTool>
102     <submoduleCfg class="list"/>
103     <relativeTargetDir/>
104     <reference/>
105     <gitConfigName/>
106     <gitConfigEmail/>
107     <skipTag>true</skipTag>
108     <scmName/>
109     <useShallowClone>false</useShallowClone>
110     <ignoreNotifyCommit>false</ignoreNotifyCommit>
111     <extensions>
112       <hudson.plugins.git.extensions.impl.SubmoduleOption>
113         <disableSubmodules>false</disableSubmodules>
114         <recursiveSubmodules>true</recursiveSubmodules>
115         <trackingSubmodules>false</trackingSubmodules>
116         <reference/>
117         <timeout>10</timeout>
118       </hudson.plugins.git.extensions.impl.SubmoduleOption>
119       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
120     </extensions>
121   </scm>
122   <triggers class="vector">
123     <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
124       <spec/>
125       <gerritProjects>
126         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
127           <compareType>ANT</compareType>
128           <pattern>**</pattern>
129           <branches>
130             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
131               <compareType>ANT</compareType>
132               <pattern>**/master</pattern>
133             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
134           </branches>
135           <filePaths>
136             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
137               <compareType>ANT</compareType>
138               <pattern>**/*.rst</pattern>
139             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
140             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
141               <compareType>ANT</compareType>
142               <pattern>**/conf.py</pattern>
143             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
144           </filePaths>
145           <disableStrictForbiddenFileVerification>false</disableStrictForbiddenFileVerification>
146         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
147       </gerritProjects>
148       <skipVote>
149         <onSuccessful>false</onSuccessful>
150         <onFailed>false</onFailed>
151         <onUnstable>false</onUnstable>
152         <onNotBuilt>false</onNotBuilt>
153       </skipVote>
154       <silentMode>false</silentMode>
155       <silentStartMode>false</silentStartMode>
156       <escapeQuotes>true</escapeQuotes>
157       <noNameAndEmailParameters>false</noNameAndEmailParameters>
158       <readableMessage>false</readableMessage>
159       <dependencyJobsNames/>
160       <notificationLevel/>
161       <dynamicTriggerConfiguration>False</dynamicTriggerConfiguration>
162       <triggerConfigURL/>
163       <allowTriggeringUnreviewedPatches>false</allowTriggeringUnreviewedPatches>
164       <triggerOnEvents>
165         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginPatchsetCreatedEvent>
166           <excludeDrafts>true</excludeDrafts>
167           <excludeTrivialRebase>false</excludeTrivialRebase>
168           <excludeNoCodeChange>false</excludeNoCodeChange>
169         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginPatchsetCreatedEvent>
170         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginDraftPublishedEvent/>
171         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
172           <commentAddedCommentContains>recheck$</commentAddedCommentContains>
173         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
174       </triggerOnEvents>
175       <buildStartMessage/>
176       <buildFailureMessage/>
177       <buildSuccessfulMessage/>
178       <buildUnstableMessage/>
179       <buildNotBuiltMessage/>
180       <buildUnsuccessfulFilepath/>
181       <customUrl/>
182       <serverName>test-server</serverName>
183     </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
184   </triggers>
185   <builders>
186     <EnvInjectBuilder>
187       <info>
188         <propertiesContent>DOC_DIR=docs/_build/html</propertiesContent>
189       </info>
190     </EnvInjectBuilder>
191     <hudson.tasks.Shell>
192       <command>#!/bin/bash
193 # SPDX-License-Identifier: EPL-1.0
194 ##############################################################################
195 # Copyright (c) 2017 The Linux Foundation and others.
196 #
197 # All rights reserved. This program and the accompanying materials
198 # are made available under the terms of the Eclipse Public License v1.0
199 # which accompanies this distribution, and is available at
200 # http://www.eclipse.org/legal/epl-v10.html
201 ##############################################################################
202 echo &quot;---&gt; tox-install.sh&quot;
203
204 # Ensure we fail the job if any steps fail.
205 # DO NOT set -u as virtualenv's activate script has unbound variables
206 set -e -o pipefail
207
208 virtualenv --quiet &quot;/tmp/v/tox&quot;
209 # shellcheck source=/tmp/v/tox/bin/activate disable=SC1091
210 source &quot;/tmp/v/tox/bin/activate&quot;
211 pip install --quiet --upgrade pip
212 pip install --quiet --upgrade pipdeptree
213 pip install --quiet --upgrade tox argparse
214
215 echo &quot;----&gt; Pip Dependency Tree&quot;
216 pipdeptree
217
218 #!/bin/bash
219 # SPDX-License-Identifier: EPL-1.0
220 ##############################################################################
221 # Copyright (c) 2017 The Linux Foundation and others.
222 #
223 # All rights reserved. This program and the accompanying materials
224 # are made available under the terms of the Eclipse Public License v1.0
225 # which accompanies this distribution, and is available at
226 # http://www.eclipse.org/legal/epl-v10.html
227 ##############################################################################
228 echo &quot;---&gt; rtd-verify.sh&quot;
229
230 # Ensure we fail the job if any steps fail.
231 # DO NOT set -u as virtualenv's activate script has unbound variables
232 set -e -o pipefail
233
234 echo &quot;---&gt; Fetching project&quot;
235 if [ &quot;$GERRIT_PROJECT&quot; != &quot;$PROJECT&quot; ]; then
236     cd &quot;docs/submodules/$GERRIT_PROJECT&quot;
237 fi
238
239 git fetch origin &quot;$GERRIT_REFSPEC&quot; &amp;&amp; git checkout FETCH_HEAD
240
241 echo &quot;---&gt; Generating docs&quot;
242 cd &quot;$WORKSPACE&quot;
243 tox -edocs
244
245 echo &quot;---&gt; Archiving generated docs&quot;
246 mkdir -p &quot;$WORKSPACE/archives&quot;
247 mv &quot;$DOC_DIR&quot; archives/
248 </command>
249     </hudson.tasks.Shell>
250   </builders>
251   <publishers>
252     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
253       <buildSteps>
254         <hudson.tasks.Shell>
255           <command>#!/bin/bash
256 # SPDX-License-Identifier: EPL-1.0
257 ##############################################################################
258 # Copyright (c) 2017 The Linux Foundation and others.
259 #
260 # All rights reserved. This program and the accompanying materials
261 # are made available under the terms of the Eclipse Public License v1.0
262 # which accompanies this distribution, and is available at
263 # http://www.eclipse.org/legal/epl-v10.html
264 ##############################################################################
265 echo &quot;---&gt; sysstat.sh&quot;
266 set +e  # DON'T fail build if script fails.
267
268 OS=$(facter operatingsystem)
269 case &quot;$OS&quot; in
270     Ubuntu)
271         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
272
273         # Dont run the script when systat is not enabled by default
274         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
275             exit 0
276         fi
277     ;;
278     CentOS|RedHat)
279         SYSSTAT_PATH=&quot;/var/log/sa&quot;
280     ;;
281     *)
282         # nothing to do
283         exit 0
284     ;;
285 esac
286
287 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
288 mkdir -p &quot;$SAR_DIR&quot;
289 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
290 # convert sar data to ascii format
291 while IFS=&quot;&quot; read -r s
292 do
293     [ -f &quot;$s&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$s&quot; &gt; &quot;$SAR_DIR/sar${s//[!0-9]/}&quot;
294 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
295
296 # DON'T fail build if script fails.
297 exit 0
298 </command>
299         </hudson.tasks.Shell>
300         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
301           <managedFiles>
302             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
303               <fileId>jenkins-log-archives-settings</fileId>
304               <targetLocation/>
305               <variable>SETTINGS_FILE</variable>
306             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
307           </managedFiles>
308         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
309         <EnvInjectBuilder>
310           <info>
311             <propertiesContent>SERVER_ID=logs</propertiesContent>
312           </info>
313         </EnvInjectBuilder>
314         <hudson.tasks.Shell>
315           <command>#!/bin/bash
316 # SPDX-License-Identifier: EPL-1.0
317 ##############################################################################
318 # Copyright (c) 2017 The Linux Foundation and others.
319 #
320 # All rights reserved. This program and the accompanying materials
321 # are made available under the terms of the Eclipse Public License v1.0
322 # which accompanies this distribution, and is available at
323 # http://www.eclipse.org/legal/epl-v10.html
324 ##############################################################################
325 echo &quot;---&gt; create-netrc.sh&quot;
326
327 # Ensure we fail the job if any steps fail.
328 set -eu -o pipefail
329
330 NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
331 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
332     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
333     -v x:username -o &quot;:&quot; -v x:password \
334     &quot;$SETTINGS_FILE&quot;)
335
336 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
337 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
338 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
339
340 echo &quot;machine ${machine%:*} login $user password $pass&quot; &gt; ~/.netrc
341 </command>
342         </hudson.tasks.Shell>
343         <hudson.tasks.Shell>
344           <command>#!/bin/bash
345 # SPDX-License-Identifier: EPL-1.0
346 ##############################################################################
347 # Copyright (c) 2017 The Linux Foundation and others.
348 #
349 # All rights reserved. This program and the accompanying materials
350 # are made available under the terms of the Eclipse Public License v1.0
351 # which accompanies this distribution, and is available at
352 # http://www.eclipse.org/legal/epl-v10.html
353 ##############################################################################
354 echo &quot;---&gt; lftools-install.sh&quot;
355
356 # Script to install lftools via a version passed in via lf-infra-parameters
357 #
358 # Required parameters:
359 #
360 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
361 #                      set to a strict version number like '1.2.3' or using
362 #                      PEP-440 definitions.
363 #
364 #                      Examples:
365 #                          &lt;1.0.0
366 #                          &gt;=1.0.0,&lt;2.0.0
367 #
368 # By default a released version of lftools should always be used.
369 # The purpose of the 2 variables below is so that lftools devs can test
370 # unreleased versions of lftools. There are 2 methods to install a dev version
371 # of lftools:
372 #
373 #     1) gerrit patch: Used to test a patch that has not yet been merged.
374 #                      To do this set something like this:
375 #                          LFTOOLS_MODE=gerrit
376 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
377 #
378 #     2) git branch: Used to install an lftools version from a specific branch.
379 #                    To use this set the variables as follows:
380 #                          LFTOOLS_MODE=git
381 #                          LFTOOLS_REFSPEC=master
382 #
383 #     3) release : The intended use case and default setting.
384 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
385
386 LFTOOLS_MODE=release  # release | git | gerrit
387 LFTOOLS_REFSPEC=master
388
389 # Ensure we fail the job if any steps fail.
390 # DO NOT set -u as virtualenv's activate script has unbound variables
391 set -e -o pipefail
392
393 virtualenv --quiet &quot;/tmp/v/lftools&quot;
394 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
395 source &quot;/tmp/v/lftools/bin/activate&quot;
396 pip install --quiet --upgrade pip
397
398 case $LFTOOLS_MODE in
399     gerrit)
400         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
401         pushd /tmp/lftools
402         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
403         git checkout FETCH_HEAD
404         pip install --quiet --upgrade -r requirements.txt
405         pip install --quiet --upgrade -e .
406         popd
407         ;;
408
409     git)
410         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
411         ;;
412
413     release)
414         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
415             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
416         fi
417
418         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
419         ;;
420 esac
421
422 lftools --version
423
424 # pipdeptree prints out a lot of information because lftools pulls in many
425 # dependencies. Let's only print it if we want to debug.
426 # echo &quot;----&gt; Pip Dependency Tree&quot;
427 # pip install --quiet --upgrade pipdeptree
428 # pipdeptree
429
430 #!/bin/bash
431 # SPDX-License-Identifier: EPL-1.0
432 ##############################################################################
433 # Copyright (c) 2017 The Linux Foundation and others.
434 #
435 # All rights reserved. This program and the accompanying materials
436 # are made available under the terms of the Eclipse Public License v1.0
437 # which accompanies this distribution, and is available at
438 # http://www.eclipse.org/legal/epl-v10.html
439 ##############################################################################
440 echo &quot;---&gt; logs-deploy.sh&quot;
441
442 # Ensure we fail the job if any steps fail.
443 set -eu -o pipefail
444
445 set -x  # Trace commands for this script to make debugging easier.
446
447 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
448 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
449
450 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
451 then
452     set +x # Disable trace since we no longer need it
453
454     echo &quot;WARNING: Logging server not set&quot;
455 else
456     NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
457     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
458     BUILD_URL=&quot;${BUILD_URL}&quot;
459
460     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
461     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
462
463     set +x  # Disable trace since we no longer need it.
464
465     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
466 fi
467 </command>
468         </hudson.tasks.Shell>
469         <hudson.tasks.Shell>
470           <command>#!/bin/bash
471 # SPDX-License-Identifier: EPL-1.0
472 ##############################################################################
473 # Copyright (c) 2017 The Linux Foundation and others.
474 #
475 # All rights reserved. This program and the accompanying materials
476 # are made available under the terms of the Eclipse Public License v1.0
477 # which accompanies this distribution, and is available at
478 # http://www.eclipse.org/legal/epl-v10.html
479 ##############################################################################
480
481 # Clear log credential files
482 rm &quot;$SETTINGS_FILE&quot;
483 rm ~/.netrc
484 </command>
485         </hudson.tasks.Shell>
486         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
487           <regexp>^Build logs: .*</regexp>
488         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
489       </buildSteps>
490       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
491       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
492       <markBuildUnstable>false</markBuildUnstable>
493     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
494     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
495       <patterns>
496         <hudson.plugins.ws__cleanup.Pattern>
497           <pattern>**/*.jenkins-trigger</pattern>
498           <type>EXCLUDE</type>
499         </hudson.plugins.ws__cleanup.Pattern>
500       </patterns>
501       <deleteDirs>false</deleteDirs>
502       <cleanupMatrixParent>false</cleanupMatrixParent>
503       <externalDelete/>
504       <cleanWhenSuccess>true</cleanWhenSuccess>
505       <cleanWhenUnstable>true</cleanWhenUnstable>
506       <cleanWhenFailure>true</cleanWhenFailure>
507       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
508       <cleanWhenAborted>true</cleanWhenAborted>
509       <notFailBuild>true</notFailBuild>
510     </hudson.plugins.ws__cleanup.WsCleanup>
511   </publishers>
512   <buildWrappers>
513     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
514     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
515       <timeoutMinutes>15</timeoutMinutes>
516       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
517       <failBuild>true</failBuild>
518       <writingDescription>false</writingDescription>
519       <timeoutPercentage>0</timeoutPercentage>
520       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
521       <timeoutType>absolute</timeoutType>
522     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
523     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
524     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
525       <user>test-credential</user>
526     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
527     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
528   </buildWrappers>
529 </project>